package dev.fyloz.colorrecipesexplorer.config.initializers

import org.springframework.boot.context.event.ApplicationReadyEvent
import org.springframework.context.ApplicationListener

abstract class AbstractInitializer : ApplicationListener<ApplicationReadyEvent> {
    override fun onApplicationEvent(event: ApplicationReadyEvent) {
        initialize()
    }

    abstract fun initialize()
}
